org.apache.ignite.spi.metric

## Interface ObjectMetric<T>

All Superinterfaces:
  Metric

All Known Subinterfaces:
  ConfigurableHistogramMetric, HistogramMetric

All Known Implementing Classes:
  HistogramMetricImpl, ObjectGauge, ObjectMetricImpl, PeriodicHistogramMetricImpl

    public interface ObjectMetric<T>
    extends Metric

Interface for the metrics that holds typed value.

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default @Nullable String` `getAsString()`
`Class<T>` `type()`
`T` `value()`

### Methods inherited from interface org.apache.ignite.spi.metric.Metric

`description, name, reset`

### Method Detail

#### value

    T value()

Returns:
  Value ot the metric.

#### type

    Class<T> type()

Returns:
  Type of metric value.

#### getAsString

    @Nullable
    default @Nullable String getAsString()

Specified by:
  `getAsString` in interface `Metric`
Returns:
  String representation of metric value.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023